<?php

namespace App\Http\Validation;

class CategorieValidation {

    public function rules() {
        return [
            'name' => ['required', 'string', 'max:150'],
            'icon' => ['required']
        ];
    }

    public function messages(){
        return [
            'name.required' => 'Vous devez spécifier un nom d\'article',
            'icon.required' => 'Vous devez spécifier une icône'
        ];
    }

    public function updateRules() {
        return [
            'name' => ['required', 'string', 'max:150'],
        ];
    }

    public function updateMessages(){
        return [
            'name.required' => 'Vous devez spécifier un nom d\'article'
        ];
    }


}